checkRequire("Lua_FriendBasePanel");
Lua_AddFriendPanel = class("Lua_AddFriendPanel", Lua_FriendBasePanel);
function Lua_AddFriendPanel:ctor(p)
    self:superCall("ctor", p, "AddFriendPanel_skin", Lua_FriendData.FRIEND_RECOMMEND_SEARCH_TYPE);
end

function Lua_AddFriendPanel:buildShowItem()
    self:superCall("buildShowItem");

    self.defaultText = "<color=#846651>" .. LanUtil.getValue(161021) .. "</color>";
    local nameLimit = Lua_CommonUtil.getCommonConfig("name_character_limit", 3)
    self.nameInput.defaultText = self.defaultText;
    self.nameInput.text = "";
    self.nameInput.characterLimit = nameLimit[2]

    self.findBtn:addClickFuntion(self, self.onFindBtnClick);
    self.refreshBtn:addClickFuntion(self, self.onRefreshBtnClick);

    self:addLuaEvent("UPDATA_ADDFRIEND_INFO", self, self.setPanelData);
end

function Lua_AddFriendPanel:onFindBtnClick(go)
    local nameStr = self.nameInput.text;
    if nameStr == self.defaultText or string.len(nameStr) == 0 then
        OperateAlert.showLangValue(161021);
        return;
    end

    if nameStr == DataCenter.roleData.name then
        OperateAlert.showLangValue(161032);
        return;
    end

    Lua_ProxyManager.getProxy("Lua_FriendProxy"):sFindFriendInfo(nameStr);
end

function Lua_AddFriendPanel:onRefreshBtnClick(go)
    self.nameInput.text = "";
    self.nameInput.defaultText = self.defaultText;

    Lua_ProxyManager.getProxy("Lua_FriendProxy"):sGetFriendListInfo(Lua_FriendData.FRIEND_RECOMMEND_SEARCH_TYPE);
end

function Lua_AddFriendPanel:setPanelData()
    self:superCall("setPanelData");

    local maxCount = getConfig("friend_const", "friend_limit", "value")
    local friendCount = #DataCenter.friendData:getFriendType(Lua_FriendData.FRIEND_TYPE):getFriendList();
    self.friendCount.text = friendCount.."/"..maxCount;
end

function Lua_AddFriendPanel:dispose()
    self:superCall("dispose");
end