checkRequire("Lua_FriendBasePanel");
Lua_FriendRequestsPanel = class("Lua_FriendRequestsPanel", Lua_FriendBasePanel);
function Lua_FriendRequestsPanel:ctor(p)
    self:superCall("ctor", p, "FriendRequestsPanel_skin", Lua_FriendData.FRIEND_APPLY_TYPE);
end

function Lua_FriendRequestsPanel:buildShowItem()
    self:superCall("buildShowItem");

    self.refusedBtn:addClickFuntion(self, self.onRefusedClick);
    self.allapplyBtn:addClickFuntion(self, self.onAllapplyBtnClick);
end

function Lua_FriendRequestsPanel:dispose()
    if self.redPoint ~= nil then
        self.redPoint:dispose();
        self.redPoint = nil;
    end
    self:superCall("dispose");
end

function Lua_FriendRequestsPanel:onRefusedClick()
    if #self.friendInfoArr == 0 then
        OperateAlert.showLangValue(161022);
        return;
    end

    OperateAlert.showLangValue(161039);
    Lua_ProxyManager.getProxy("Lua_FriendProxy"):sCheckApplyFriend(2, nil); -- self.friendInfoArr
end

function Lua_FriendRequestsPanel:onAllapplyBtnClick()
    if #self.friendInfoArr == 0 then
        OperateAlert.showLangValue(161022);
        return;
    end
    
    if DataCenter.friendData:isFriendFull() then
        OperateAlert.showLangValue(161018);
        return;
    end

    -- OperateAlert.showLangValue(161023);
    Lua_ProxyManager.getProxy("Lua_FriendProxy"):sCheckApplyFriend(1, nil); -- self.friendInfoArr
end

function Lua_FriendRequestsPanel:setPanelData()
    self:superCall("setPanelData");

    local maxCount = getConfig("friend_const", "friend_limit","value");
    local friendCount = #DataCenter.friendData:getFriendType(Lua_FriendData.FRIEND_TYPE):getFriendList();
    self.friendCount.text = friendCount.."/"..maxCount;

    self:showRedDot(#self.friendInfoArr > 0);
end

function Lua_FriendRequestsPanel:showRedDot(bShow)
    if bShow == true then
        if self.redPoint == nil then
            self.redPoint = Lua_RedPointIcon.new(self.content);
            self.redPoint:setLocation(261, -345, 0);
            self.redPoint:createRedPointEff();
        end
        self.redPoint:updateRedPointShow(true);
    else
        if self.redPoint ~= nil then
            self.redPoint:updateRedPointShow(false);
        end
    end
end